Skip to content
This repository
Fetching contributors…

Octocat-spinner-32-eaf2f5

Cannot retrieve contributors at this time

file 60 lines (37 sloc) 1.914 kb

MongoMapper

RubyGem Build Status Coverage Status

A Ruby Object Mapper for Mongo.

Install

$ gem install mongo_mapper

Documentation

mongomapper.com/documentation/

rdoc.info/github/jnunemaker/mongomapper

Compatibility

MongoMapper is tested against:

  • MRI 1.8.7

  • MRI 1.9.3

  • MRI 2.0.0

  • JRuby (Versions with 1.9 compatibility)

Additionally, MongoMapper is tested against:

  • Rails 3.0.x

  • Rails 3.1.x

  • Rails 3.2.x

  • Rails 4.0.x

NOTE: Rails 4 support is only in the v0.13.0 beta, which is not currently the default in RubyGems. Use the following line in your gemfile to use the beta:

gem 'mongo_mapper', :git => "git://github.com/mongomapper/mongomapper.git", :tag => "v0.13.0.beta2"

Contributing & Development

$ git clone https://github.com/jnunemaker/mongomapper && cd mongomapper
$ bundle install
$ bundle exec rake
  • Fork the project.

  • Make your feature addition or bug fix. All specs should pass.

  • Add specs for your changes. This is important so I don't break it in a future version unintentionally.

  • Commit, do not mess with Rakefile, version, or history. If you want to have your own version, that is fine but bump version in a commit by itself in another branch so a maintainer ignore it when your pull request is merged.

  • Send a pull request. Bonus points for topic branches.

Problems or Questions?

Hit up the Google group: groups.google.com/group/mongomapper

Hop on IRC: irc://chat.freenode.net/#mongomapper

License & Copyright

See LICENSE for details.

Something went wrong with that request. Please try again.